# Author: Theophanis Tsandilas
# Showing the bias of the SD estimates for small samples

biasedSD <- function(sample){
    M <- mean(sample)
    
    var <- sum((sample-M)^2)/length(sample)
    
    sqrt(var)
}

n <- 10 #Sample size
R = 100000 #Number of repetitions

biased <- replicate(R, biasedSD(rnorm(n, mean = 10, sd = 2)))
print(mean(biased))

unbiased <- replicate(R, sd(rnorm(n, mean = 10, sd = 2)))
print(mean(unbiased))
# Notice that there is still bias, yet smaller!
