# Author: Theophanis Tsandilas
#Suppose a random variable X is the average of 100 independent random variables X1...X100 that follow a uniform distribution.
#Write an R program that displays the distribution of X

# We replicate the sampling process 100 times

matr <- replicate(100, runif(10000))

# We then take the average of the 100 columns of the created 10000x100 matrix
means <- rowMeans(matr)

# We plot the histogram of the means
hist(means, xlim = c(.3, .7), bty='n')

# Let’s check if this is a normal distribution
par(new=TRUE)   # This is to say that we overdraw a new graph
curve(dnorm(x, mean = mean(means), sd = sd(means)), xlim = c(.3, .7), bty='n', col = 'red', axes = FALSE, ann=FALSE)
